DOCKER(1)

NAME

docker-stack-deploy - Deploy a new stack or update an existing stack

SYNOPSIS

docker stack deploy [OPTIONS] STACK

DESCRIPTION

Deploy a new stack or update an existing stack

OPTIONS

--bundle-file=""
    Path to a Distributed Application Bundle file

-c, --compose-file=""
    Path to a Compose file

--prune[=false]
    Prune services that are no longer referenced

--with-registry-auth[=false]
    Send registry authentication details to Swarm agents

SEE ALSO

docker-stack(1)